You are not logged in.

#1 2022-06-21 18:46:38

patlefort
Member
Registered: 2021-01-30
Posts: 12

KDE 5.25: kf.coreaddons: "Could not load plugin from kcm_kscreen

I'm having this problem since the KDE update, addons for system settings don't load:

kf.coreaddons: "Could not load plugin from kcm_kscreen: The shared library was not found."

Addons are present in `/usr/lib/qt/plugins/kcms`. This break some KDE functionality. It happens on a fresh user. I reported the problem to KDE devs but it's been closed as a downstream issue ( https://bugs.kde.org/show_bug.cgi?id=455648 ). I have some doubts, what do you guys think?

Offline

#2 2022-06-21 19:09:46

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 16,406

Re: KDE 5.25: kf.coreaddons: "Could not load plugin from kcm_kscreen

kscreen is installed?

Offline

#3 2022-06-21 19:20:58

patlefort
Member
Registered: 2021-01-30
Posts: 12

Re: KDE 5.25: kf.coreaddons: "Could not load plugin from kcm_kscreen

Of course it is installed. The plugin is present in `/usr/lib/qt/plugins/kcms`. The same happen with kcm_pulseaudio. That folder contains:

total 288K
-rwxr-xr-x 1 root root  31K jun 10 21:36 kcm_kaccounts.so
-rwxr-xr-x 1 root root 215K jun 21 10:46 kcm_kscreen.so
-rwxr-xr-x 1 root root  39K jun 21 10:48 kcm_pulseaudio.so

Offline

#4 2022-06-21 19:42:05

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 16,406

Re: KDE 5.25: kf.coreaddons: "Could not load plugin from kcm_kscreen

Then you have some partial upgrade, or a broken theme. qt5 was recently updated make sure you got all of that. In doubt post

lddtree /usr/lib/qt/plugins/kcms/kcm_kscreen.so

lddtree you can get from pax-utils.

Is this the only fallout? do Qt tools in general work?

Offline

#5 2022-06-21 19:59:46

patlefort
Member
Registered: 2021-01-30
Posts: 12

Re: KDE 5.25: kf.coreaddons: "Could not load plugin from kcm_kscreen

Output from lddtree:

/usr/lib/qt/plugins/kcms/kcm_kscreen.so (interpreter => None)
    libKF5PlasmaQuick.so.5 => /usr/lib/libKF5PlasmaQuick.so.5
        libKF5Plasma.so.5 => /usr/lib/libKF5Plasma.so.5
            libQt5Sql.so.5 => /usr/lib/libQt5Sql.so.5
            libKF5XmlGui.so.5 => /usr/lib/libKF5XmlGui.so.5
                libQt5Network.so.5 => /usr/lib/libQt5Network.so.5
                    libz.so.1 => /usr/lib/libz.so.1
                    libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2
                        libkrb5.so.3 => /usr/lib/libkrb5.so.3
                        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3
                        libcom_err.so.2 => /usr/lib/libcom_err.so.2
                            ld-linux-x86-64.so.2 => /usr/lib/ld-linux-x86-64.so.2
                        libkrb5support.so.0 => /usr/lib/libkrb5support.so.0
                        libkeyutils.so.1 => /usr/lib/libkeyutils.so.1
                        libresolv.so.2 => /usr/lib/libresolv.so.2
                    libssl.so.1.1 => /usr/lib/libssl.so.1.1
                    libcrypto.so.1.1 => /usr/lib/libcrypto.so.1.1
                libQt5PrintSupport.so.5 => /usr/lib/libQt5PrintSupport.so.5
                libQt5Xml.so.5 => /usr/lib/libQt5Xml.so.5
                libKF5WidgetsAddons.so.5 => /usr/lib/libKF5WidgetsAddons.so.5
                libKF5ItemViews.so.5 => /usr/lib/libKF5ItemViews.so.5
            libKF5GlobalAccel.so.5 => /usr/lib/libKF5GlobalAccel.so.5
            libKF5Notifications.so.5 => /usr/lib/libKF5Notifications.so.5
                libcanberra.so.0 => /usr/lib/libcanberra.so.0
                    libvorbisfile.so.3 => /usr/lib/libvorbisfile.so.3
                        libvorbis.so.0 => /usr/lib/libvorbis.so.0
                        libogg.so.0 => /usr/lib/libogg.so.0
                    libtdb.so.1 => /usr/lib/libtdb.so.1
                    libltdl.so.7 => /usr/lib/libltdl.so.7
                libQt5TextToSpeech.so.5 => /usr/lib/libQt5TextToSpeech.so.5
                libX11.so.6 => /usr/lib/libX11.so.6
                libXtst.so.6 => /usr/lib/libXtst.so.6
                    libXext.so.6 => /usr/lib/libXext.so.6
                libdbusmenu-qt5.so.2 => /usr/lib/libdbusmenu-qt5.so.2
                    libgcc_s.so.1 => /usr/lib/libgcc_s.so.1
            libKF5KIOWidgets.so.5 => /usr/lib/libKF5KIOWidgets.so.5
                libKF5KIOCore.so.5 => /usr/lib/libKF5KIOCore.so.5
                    libKF5Crash.so.5 => /usr/lib/libKF5Crash.so.5
                    libKF5AuthCore.so.5 => /usr/lib/libKF5AuthCore.so.5
                    libacl.so.1 => /usr/lib/libacl.so.1
                    libmount.so.1 => /usr/lib/libmount.so.1
                        libblkid.so.1 => /usr/lib/libblkid.so.1
                libKF5JobWidgets.so.5 => /usr/lib/libKF5JobWidgets.so.5
                libKF5Solid.so.5 => /usr/lib/libKF5Solid.so.5
                    libudev.so.1 => /usr/lib/libudev.so.1
                    libimobiledevice-1.0.so.6 => /usr/lib/libimobiledevice-1.0.so.6
                        libgnutls.so.30 => /usr/lib/libgnutls.so.30
                            libp11-kit.so.0 => /usr/lib/libp11-kit.so.0
                                libffi.so.8 => /usr/lib/libffi.so.8
                                libdl.so.2 => /usr/lib/libdl.so.2
                            libbrotlienc.so.1 => /usr/lib/libbrotlienc.so.1
                                libbrotlicommon.so.1 => /usr/lib/libbrotlicommon.so.1
                            libbrotlidec.so.1 => /usr/lib/libbrotlidec.so.1
                            libzstd.so.1 => /usr/lib/libzstd.so.1
                            libidn2.so.0 => /usr/lib/libidn2.so.0
                            libunistring.so.2 => /usr/lib/libunistring.so.2
                            libnettle.so.8 => /usr/lib/libnettle.so.8
                            libhogweed.so.6 => /usr/lib/libhogweed.so.6
                            libgmp.so.10 => /usr/lib/libgmp.so.10
                        libtasn1.so.6 => /usr/lib/libtasn1.so.6
                        libgcrypt.so.20 => /usr/lib/libgcrypt.so.20
                            libgpg-error.so.0 => /usr/lib/libgpg-error.so.0
                        libusbmuxd-2.0.so.6 => /usr/lib/libusbmuxd-2.0.so.6
                        libpthread.so.0 => /usr/lib/libpthread.so.0
                    libplist-2.0.so.3 => /usr/lib/libplist-2.0.so.3
                libKF5Completion.so.5 => /usr/lib/libKF5Completion.so.5
            libKF5KIOGui.so.5 => /usr/lib/libKF5KIOGui.so.5
            libKF5Service.so.5 => /usr/lib/libKF5Service.so.5
                libKF5DBusAddons.so.5 => /usr/lib/libKF5DBusAddons.so.5
            libQt5Svg.so.5 => /usr/lib/libQt5Svg.so.5
            libKF5Archive.so.5 => /usr/lib/libKF5Archive.so.5
                libbz2.so.1.0 => /usr/lib/libbz2.so.1.0
                liblzma.so.5 => /usr/lib/liblzma.so.5
            libKF5ConfigWidgets.so.5 => /usr/lib/libKF5ConfigWidgets.so.5
                libKF5Codecs.so.5 => /usr/lib/libKF5Codecs.so.5
            libKF5GuiAddons.so.5 => /usr/lib/libKF5GuiAddons.so.5
                libQt5WaylandClient.so.5 => /usr/lib/libQt5WaylandClient.so.5
                    libwayland-cursor.so.0 => /usr/lib/libwayland-cursor.so.0
                    libfontconfig.so.1 => /usr/lib/libfontconfig.so.1
                        libexpat.so.1 => /usr/lib/libexpat.so.1
                    libfreetype.so.6 => /usr/lib/libfreetype.so.6
                        libpng16.so.16 => /usr/lib/libpng16.so.16
                        libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0
                        libfreetype.so.6 => !!! circular loop !!!
                            libgraphite2.so.3 => /usr/lib/libgraphite2.so.3
                    libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0
                        libpcre.so.1 => /usr/lib/libpcre.so.1
                    libxkbcommon.so.0 => /usr/lib/libxkbcommon.so.0
                libwayland-client.so.0 => /usr/lib/libwayland-client.so.0
            libQt5DBus.so.5 => /usr/lib/libQt5DBus.so.5
                libdbus-1.so.3 => /usr/lib/libdbus-1.so.3
                    libsystemd.so.0 => /usr/lib/libsystemd.so.0
                        libcap.so.2 => /usr/lib/libcap.so.2
                        liblz4.so.1 => /usr/lib/liblz4.so.1
            libQt5Widgets.so.5 => /usr/lib/libQt5Widgets.so.5
        libKF5WaylandClient.so.5 => /usr/lib/libKF5WaylandClient.so.5
        libxcb.so.1 => /usr/lib/libxcb.so.1
            libXau.so.6 => /usr/lib/libXau.so.6
            libXdmcp.so.6 => /usr/lib/libXdmcp.so.6
        libxcb-shape.so.0 => /usr/lib/libxcb-shape.so.0
        libKF5Package.so.5 => /usr/lib/libKF5Package.so.5
        libKF5IconThemes.so.5 => /usr/lib/libKF5IconThemes.so.5
        libKF5WindowSystem.so.5 => /usr/lib/libKF5WindowSystem.so.5
            libxcb-keysyms.so.1 => /usr/lib/libxcb-keysyms.so.1
        libQt5X11Extras.so.5 => /usr/lib/libQt5X11Extras.so.5
        libm.so.6 => /usr/lib/libm.so.6
    libKF5QuickAddons.so.5 => /usr/lib/libKF5QuickAddons.so.5
    libKF5Screen.so.7 => /usr/lib/libKF5Screen.so.7
    libQt5Sensors.so.5 => /usr/lib/libQt5Sensors.so.5
    libKF5Declarative.so.5 => /usr/lib/libKF5Declarative.so.5
    libQt5Quick.so.5 => /usr/lib/libQt5Quick.so.5
        libQt5QmlModels.so.5 => /usr/lib/libQt5QmlModels.so.5
    libQt5Qml.so.5 => /usr/lib/libQt5Qml.so.5
    libKF5ConfigGui.so.5 => /usr/lib/libKF5ConfigGui.so.5
    libKF5ConfigCore.so.5 => /usr/lib/libKF5ConfigCore.so.5
    libKF5I18n.so.5 => /usr/lib/libKF5I18n.so.5
    libKF5CoreAddons.so.5 => /usr/lib/libKF5CoreAddons.so.5
    libQt5Gui.so.5 => /usr/lib/libQt5Gui.so.5
        libGL.so.1 => /usr/lib/libGL.so.1
            libGLdispatch.so.0 => /usr/lib/libGLdispatch.so.0
            libGLX.so.0 => /usr/lib/libGLX.so.0
        libmd4c.so.0 => /usr/lib/libmd4c.so.0
    libQt5Core.so.5 => /usr/lib/libQt5Core.so.5
        libdouble-conversion.so.3 => /usr/lib/libdouble-conversion.so.3
        libicui18n.so.71 => /usr/lib/libicui18n.so.71
        libicuuc.so.71 => /usr/lib/libicuuc.so.71
            libicudata.so.71 => /usr/lib/libicudata.so.71
        libpcre2-16.so.0 => /usr/lib/libpcre2-16.so.0
    libstdc++.so.6 => /usr/lib/libstdc++.so.6
    libc.so.6 => /usr/lib/libc.so.6

The problem is present on multiple different machines.

Offline

#6 2022-06-21 20:17:19

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,928

Re: KDE 5.25: kf.coreaddons: "Could not load plugin from kcm_kscreen

patlefort wrote:

This break some KDE functionality.

What functionality? You might be misdiagnosing your issue.

Offline

Board footer

Powered by FluxBB